Skip to main content

Void Transaction

A Void Transaction request permanently reverses a CARD transaction that is in CAPTURED status before settlement. Once voided, the capture is not settled and cannot be reinstated.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/transaction/id/{transactionId}/void

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/transaction/id/{transactionId}/void

Request Body Parameters

AttributeRequiredNotes
reasonNoReason for voiding (INCORRECTLY_CHARGED, DUPLICATE, FRAUD, ON_USER_REQUEST, OTHERS, …)
commentYes — when reason = OTHERSFree-form explanation

Sample Request — Void a CARD Transaction
POST /banking/us2/v1/transaction/id/987654/void HTTP/1.1
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"reason": "INCORRECTLY_CHARGED"
}

Sample Response
HTTP/1.1 204 No Content